Saturday, February 11, 2012

Announcing Twisted 12.0

Thanks to Thomas Hervé, we are proud to announce the release of Twisted 12.0.

47 tickets are closed by this release, among them:
  • A fix to the GTK2 reactor preventing unnecessary wake-ups 
  • Preliminary support of IPV6 on the server side
  • Several fixes to the new protocol-based TLS implementation
  • Improved core documentation's main page 
Twisted no longer supports Python 2.4, the latest supported version is 2.5.

For more information, see the NEWS file here: http://twistedmatrix.com/Releases/Twisted/12.0/NEWS.txt

Download it now from:
http://pypi.python.org/packages/source/T/Twisted/Twisted-12.0.0.tar.bz2 or
http://pypi.python.org/packages/2.5/T/Twisted/Twisted-12.0.0.win32-py2.5.msi or
http://pypi.python.org/packages/2.6/T/Twisted/Twisted-12.0.0.win32-py2.6.msi or
http://pypi.python.org/packages/2.7/T/Twisted/Twisted-12.0.0.win32-py2.7.msi

Thanks to the supporters of Twisted via the Software Freedom Conservancy and to the many contributors for this release.

2 comments:

Jean-Paul Calderone said...

I think Python 2.5 is the oldest supported version, not the latest supported version. :)

Rush said...

I'm not the english-speaking but Jean-Paul Calderone seems right. This sentence make me confused.